microsoft-foundry.rest.security.o-auth2-auth
Skills
Delete a specific version of a skill
DELETE
/skills/{name}/versions/{version}
Removes the specified version of a skill.
Elérési útvonal paraméterei
name
string
kötelező
The name of the skill.
version
string
kötelező
The version identifier to delete.
Fejlécparaméterek
Foundry-Features
enum
kötelező
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Skills=V1Preview
Paraméterek lekérdezése
api-version
string
kötelező
The API version to use for this operation.
Válaszok
The request has succeeded.
Törzs
Content-Type: application/json
id
string
kötelező
The unique identifier of the deleted skill version.
name
string
kötelező
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
kötelező
Whether the skill version was successfully deleted.
version
string
kötelező
The version that was deleted.
Kérés
DELETE /skills/{name}/versions/{version} HTTP/1.1
Válasz
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json